#include "MapLoader.h"


enum {
    NONE = 0,
    MAP = 1,
    BLOCK,
    TILE,
    NPC,
    PLAYER_SPAWN,
    LIGHT,
    
};

@implementation MapLoader


-(void) loadMap: (const char *) path {
    char *file_buffer = load_file(path);
    char *line;

    for(line = get_next_line(file_buffer, 0); line != NULL; line = get_next_line(file_buffer, 0)) {
        //depending on what keyword it reads 
        //it makes that type of object

        id parse_line(char *file_buffer);


    }
}
-(void) sendObject: (id) obj to: (YSArray *) receiver {

}

@end